Workflows

List pending approvals

GET
/workflow-approvals

List approvals of workflow runs in a Space that the caller may decide, open ones by default.

Authorization

bearerApiKey
AuthorizationBearer <token>

Create a scoped API key in the Adlass settings.

In: header

Query Parameters

space_id*string

Filter or parameter: space_id.

Formatuuid
status?string

Filter or parameter: status.

Value in

  • "OPEN"
  • "RESOLVED"
  • "EXPIRED"
  • "CANCELLED"
cursor?string

Opaque continuation cursor from the previous response.

Lengthlength <= 2048
limit?integer

Filter or parameter: limit.

Range1 <= value <= 100
Default50

Header Parameters

X-Request-Id?string

Optional correlation identifier.

Lengthlength <= 128

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

curl -X GET "https://example.com/workflow-approvals?space_id=497f6eca-6276-4993-bfeb-53cbbbba6f08"
{  "items": [    {      "wait_id": "123e4567-e89b-42d3-a456-426614174000",      "run_id": "123e4567-e89b-42d3-a456-426614174000",      "node_run_id": "123e4567-e89b-42d3-a456-426614174000",      "node_id": "trigger",      "workflow": {        "id": "123e4567-e89b-42d3-a456-426614174000",        "name": "Customer documents"      },      "title": "Approve supplier payment",      "message": "Please review the extracted totals.",      "form": []    }  ],  "next_cursor": null}